WordPress.org

Ready to get started?Download WordPress

Forums

Why has this Option been removed ? (12 posts)

  1. Mark (podz)
    Support Maven
    Posted 8 years ago #

    In 1.5.2:
    "WordPress should correct invalidly nested XHTML automatically" is an Option

    In 2.0:
    This option does not exist.

    Why ?

  2. vkaryl
    Member
    Posted 8 years ago #

    Good question....

  3. Austin Matzko
    Member
    Posted 8 years ago #

    I've created a ticket at Trac.
    http://trac.wordpress.org/ticket/1975

  4. Mark (podz)
    Support Maven
    Posted 8 years ago #

    Is it On or Off ?
    I'll assume it's On.

    If I want to make a post that I know will use invalid xhtml, WP will correct that. This removes my control over my words on my domain. It could also lead to a display not looking how I want it to.

    If I have always has this off because validity doesn't bother me, then switching it back on is - I think - going to break all my posts because when WP sees some invalid code it will correct it.

    This has to stay an option - why would this have to be left to a plugin or some SQL query ?

  5. Austin Matzko
    Member
    Posted 8 years ago #

    Well, it's not just incorrect xhtml that it "fixes." I noticed it because I have nested span tags, which I'm pretty sure are valid xhtml, but WP wants to change
    <span class="overall"><span class="one"> stuff </span><span class="two"> more stuff </span></span>

    to

    <span class="overall"></span><span class="one"> stuff </span><span class="two"> more stuff </span>

  6. I'd missed that. I'd want it off, same as I wouldn't use the rich text thing (even if it didn't make my Quicktags go away).

  7. Austin Matzko
    Member
    Posted 8 years ago #

    Looking over the Options table, I don't see any other default options that can't be set with a default setup. Maybe I'm just not seeing them . . .

  8. ringmaster
    Member
    Posted 8 years ago #

  9. It doesn't like nested blockquotes either. Had to hack around it in my quote comment plugin.

  10. Mark (podz)
    Support Maven
    Posted 8 years ago #

    Ringmaster - thanks :)

  11. Katrina
    Member
    Posted 8 years ago #

    well, I want to stick to Strayhorn until there is a better vesion of v2 released

  12. Nick Momrik
    Member
    Posted 8 years ago #

    Matt told me long ago that the XHTML fixing didn't work very well to begin with. I'm guessing they turned it off for that reason and removed access to the option. You can always go into options.php and turn it back on.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.